Skip to main content
GET
/
api
/
billing
/
tariffs
/
{id}
{
  "BusinessId": 123,
  "BusinessName": "<string>",
  "Name": "<string>",
  "SystemTariffType": 123,
  "Price": 123,
  "DefaultInvoicingDay": 123,
  "Visible": true,
  "UseTimePasses": true,
  "Description": "<string>",
  "InvoiceLineDisplayAs": "<string>",
  "SignUpFee": 123,
  "CurrencyId": 123,
  "CurrencyCode": "<string>",
  "TaxRateId": 123,
  "ReducedTaxRateId": 123,
  "ExemptTaxRateId": 123,
  "FinancialAccountId": 123,
  "TermsAndConditions": "<string>",
  "ContractDocumentFileName": "<string>",
  "NewContractDocumentUrl": "<string>",
  "ClearContractDocumentFile": true,
  "CancellationPeriod": 123,
  "DisplayOrder": 123,
  "GroupName": "<string>",
  "DisablePortalCancellations": true,
  "SubscribersLimit": 123,
  "CancellationLimitDays": 123,
  "DefaultContractTerm": 123,
  "CancelMemeberAccountAfter": 123,
  "CheckinPricePlanLimit": 123,
  "CheckinMonthLimit": 123,
  "CheckinWeekLimit": 123,
  "VisitorMonthLimit": 123,
  "VisitorWeekLimit": 123,
  "VisitorDayLimit": 123,
  "HoursPricePlanLimit": 123,
  "HoursMonthLimit": 123,
  "HoursWeekLimit": 123,
  "BookingMinuteWeekLimit": 123,
  "BookingMinuteMonthLimit": 123,
  "DiscountExtraServices": 123,
  "DiscountTimePasses": 123,
  "DiscountCharges": 123,
  "InvoiceEvery": 123,
  "InvoiceEveryWeeks": 123,
  "AutoCancelAfter": 123,
  "AdvanceInvoiceCycles": 123,
  "ProrateDayOfMonth": 123,
  "ProrateDaysBefore": 123,
  "ProrateCancellations": true,
  "ChargeAndExtend": 123,
  "ExcludeFromInvoice": true,
  "AutoRaiseInvoices": true,
  "RaiseInvoiceEvery": 123,
  "RaiseInvoiceEveryWeeks": 123,
  "MinimumPrice": 123,
  "MinimumPriceIncludeTimePasses": true,
  "MinimumPriceIncludeExtraServices": true,
  "MinimumPriceIncludeEvents": true,
  "Archived": true,
  "Starred": true,
  "KeepNewAccountsOnHold": true,
  "CanBePaused": true,
  "PauseYearlyLimit": 123,
  "PauseCyclesLimit": 123,
  "BookingDueDateStrategy": 123,
  "BookingDueDateDayOfMonth": 123,
  "TotalSignUpPrice": 123,
  "TotalPrice": 123,
  "IsVirtualOffice": true,
  "RequestAddressIdentityCheck": true,
  "AddressIdentityCheckDescription": "<string>",
  "AddressIdentityCheckProvider": 123,
  "KeepPausedIfAddressMismatch": true,
  "AddressIdentityCheckRepeatPattern": 123,
  "RequestIdentityCheck": true,
  "IdentityCheckProvider": 123,
  "IdentityCheckRepeatPattern": 123,
  "IdentityCheckDescription": "<string>",
  "SendOnBoardingFormByEmail": true,
  "FormPageId": 123,
  "FormPageName": "<string>",
  "ProductsStore": [
    123
  ],
  "ProductsForward": [
    123
  ],
  "ProductsRecycle": [
    123
  ],
  "ProductsShred": [
    123
  ],
  "ProductsScan": [
    123
  ],
  "ProductsReturn": [
    123
  ],
  "ProductsDeposit": [
    123
  ],
  "ProductsCollect": [
    123
  ],
  "DeliveryPreferencesMail": "<string>",
  "DeliveryPreferencesParcels": "<string>",
  "DeliveryPreferencesChecks": "<string>",
  "DeliveryPreferencesPublicity": "<string>",
  "DeliveryPreferencesOther": "<string>",
  "MaximumDeliveryStorageDays": 123,
  "MaximumCompanyAliases": 123,
  "MaximumRecipients": 123,
  "MaximumAddresses": 123,
  "TransferProductsToContract": true,
  "Id": 123,
  "UniqueId": "<string>",
  "CreatedOn": "<string>",
  "UpdatedOn": "<string>",
  "UpdatedBy": "<string>",
  "IsNew": true,
  "SystemId": "<string>"
}

Authentication

This endpoint requires OAuth2 authentication. Include a valid bearer token in the Authorization header. The authenticated user must be a full unrestricted administrator or have the Tariff-Read role.

Path Parameters

id
integer
required
The Id of the Tariff record to retrieve.

Code Examples

curl -X GET \
  "https://spaces.nexudus.com/api/billing/tariffs/87654321" \
  -H "Authorization: Bearer YOUR_TOKEN"

Response

200

BusinessId
integer
Business Id.
BusinessName
string
Business name.
Name
string
Tariff name.
SystemTariffType
integer
System tariff type. See eTariffType enum values: 1 = FullTimePrivateOffice, 2 = PartTimePrivateOffice, 3 = FullTimeDedicatedDesk, 4 = PartTimeDedicatedDesk, 5 = FullTimeHotDesk, 6 = PartTimeHotDesk, 7 = FullTimeOther, 8 = PartTimeOther, 9 = Storage, 10 = VirtualOffice, 11 = Virtual, 99 = Other.
Price
number
Price.
DefaultInvoicingDay
integer
Default invoicing day.
Visible
boolean
Whether the tariff is visible.
UseTimePasses
boolean
Whether to use time passes.
Description
string
Description.
InvoiceLineDisplayAs
string
Invoice line display text.
SignUpFee
number
Sign-up fee.
CurrencyId
integer
Currency Id.
CurrencyCode
string
Currency code.
TaxRateId
integer
Tax Rate Id.
ReducedTaxRateId
integer
Reduced Tax Rate Id.
ExemptTaxRateId
integer
Exempt Tax Rate Id.
FinancialAccountId
integer
Financial Account Id.
TermsAndConditions
string
Terms and conditions.
ContractDocumentFileName
string
Contract Document File Name.
NewContractDocumentUrl
string
New Contract Document Url.
ClearContractDocumentFile
boolean
Clear Contract Document File.
CancellationPeriod
integer
Cancellation period in days.
DisplayOrder
integer
Display order.
GroupName
string
Group name.
DisablePortalCancellations
boolean
Disable portal cancellations.
SubscribersLimit
integer
Subscribers limit.
CancellationLimitDays
integer
Cancellation limit in days.
DefaultContractTerm
integer
Default contract term in months.
CancelMemeberAccountAfter
integer
Cancel member account after days.
CheckinPricePlanLimit
integer
Check-in price plan limit.
CheckinMonthLimit
integer
Check-in month limit.
CheckinWeekLimit
integer
Check-in week limit.
VisitorMonthLimit
integer
Visitor month limit.
VisitorWeekLimit
integer
Visitor week limit.
VisitorDayLimit
integer
Visitor day limit.
HoursPricePlanLimit
integer
Hours price plan limit.
HoursMonthLimit
integer
Hours month limit.
HoursWeekLimit
integer
Hours week limit.
BookingMinuteWeekLimit
integer
Booking minute week limit.
BookingMinuteMonthLimit
integer
Booking minute month limit.
DiscountExtraServices
number
Discount percentage for extra services.
DiscountTimePasses
number
Discount percentage for time passes.
DiscountCharges
number
Discount percentage for charges.
InvoiceEvery
integer
Invoice every N months.
InvoiceEveryWeeks
integer
Invoice every N weeks.
AutoCancelAfter
integer
Auto cancel after days.
AdvanceInvoiceCycles
integer
Advance invoice cycles.
ProrateDayOfMonth
integer
Prorate day of month.
ProrateDaysBefore
integer
Prorate days before.
ProrateCancellations
boolean
Prorate cancellations.
ChargeAndExtend
integer
Charge and extend days.
ExcludeFromInvoice
boolean
Exclude From Invoice.
AutoRaiseInvoices
boolean
Auto raise invoices.
RaiseInvoiceEvery
integer
Raise invoice every N months.
RaiseInvoiceEveryWeeks
integer
Raise invoice every N weeks.
MinimumPrice
number
Minimum price.
MinimumPriceIncludeTimePasses
boolean
Include time passes in minimum price.
MinimumPriceIncludeExtraServices
boolean
Include extra services in minimum price.
MinimumPriceIncludeEvents
boolean
Include events in minimum price.
Archived
boolean
Whether the tariff is archived.
Starred
boolean
Whether the tariff is starred.
KeepNewAccountsOnHold
boolean
Keep new accounts on hold.
CanBePaused
boolean
Whether the tariff can be paused.
PauseYearlyLimit
integer
Pause yearly limit.
PauseCyclesLimit
integer
Pause cycles limit.
BookingDueDateStrategy
integer
Booking due date strategy. See eTariffBookingDueDateStrategy enum values: 1 = RenewalDate, 2 = BookingEndDate, 3 = BookingCreationDate, 4 = NextNthOfMonth.
BookingDueDateDayOfMonth
integer
Booking due date day of month.
TotalSignUpPrice
number
Total sign-up price.
TotalPrice
number
Total price.
IsVirtualOffice
boolean
Whether this is a virtual office tariff.
RequestAddressIdentityCheck
boolean
Request address identity check.
AddressIdentityCheckDescription
string
Address identity check description.
AddressIdentityCheckProvider
integer
Address identity check provider. See eIdentityCheckProvider enum values: 1 = Manual, 2 = StripeIdentity.
KeepPausedIfAddressMismatch
boolean
Keep paused if address mismatch.
AddressIdentityCheckRepeatPattern
integer
Address identity check repeat pattern. See eIdentityCheckRepeatPattern enum values: 1 = Never, 2 = Every3Months, 3 = Every6Months, 4 = Every12Months, 5 = Every24Months.
RequestIdentityCheck
boolean
Request identity check.
IdentityCheckProvider
integer
Identity check provider. See eIdentityCheckProvider enum values: 1 = Manual, 2 = StripeIdentity.
IdentityCheckRepeatPattern
integer
Identity check repeat pattern. See eIdentityCheckRepeatPattern enum values: 1 = Never, 2 = Every3Months, 3 = Every6Months, 4 = Every12Months, 5 = Every24Months.
IdentityCheckDescription
string
Identity check description.
SendOnBoardingFormByEmail
boolean
Send onboarding form by email.
FormPageId
integer
Form Page Id.
FormPageName
string
Form page name.
ProductsStore
integer[]
Products Store.
ProductsForward
integer[]
Products Forward.
ProductsRecycle
integer[]
Products Recycle.
ProductsShred
integer[]
Products Shred.
ProductsScan
integer[]
Products Scan.
ProductsReturn
integer[]
Products Return.
ProductsDeposit
integer[]
Products Deposit.
ProductsCollect
integer[]
Products Collect.
DeliveryPreferencesMail
string
Delivery preferences for mail.
DeliveryPreferencesParcels
string
Delivery preferences for parcels.
DeliveryPreferencesChecks
string
Delivery preferences for checks.
DeliveryPreferencesPublicity
string
Delivery preferences for publicity.
DeliveryPreferencesOther
string
Delivery preferences for other.
MaximumDeliveryStorageDays
integer
Maximum delivery storage days.
MaximumCompanyAliases
integer
Maximum company aliases.
MaximumRecipients
integer
Maximum recipients.
MaximumAddresses
integer
Maximum addresses.
TransferProductsToContract
boolean
Transfer products to contract.
Id
integer
Unique record identifier.
UniqueId
string
UUID of the record.
CreatedOn
string
Date and time the record was created (ISO 8601).
UpdatedOn
string
Date and time the record was last updated (ISO 8601).
UpdatedBy
string
Email of the user who last updated this record.
IsNew
boolean
Whether the record was recently created.
SystemId
string
External system identifier.
Example Response
{
  "BusinessId": 0,
  "BusinessName": null,
  "Name": "",
  "SystemTariffType": 0,
  "Price": 0,
  "DefaultInvoicingDay": null,
  "Visible": false,
  "UseTimePasses": false,
  "Description": null,
  "InvoiceLineDisplayAs": null,
  "SignUpFee": null,
  "CurrencyId": 0,
  "CurrencyCode": null,
  "TaxRateId": null,
  "ReducedTaxRateId": null,
  "ExemptTaxRateId": null,
  "FinancialAccountId": null,
  "TermsAndConditions": null,
  "ContractDocumentFileName": null,
  "NewContractDocumentUrl": null,
  "ClearContractDocumentFile": null,
  "CancellationPeriod": 0,
  "DisplayOrder": 0,
  "GroupName": null,
  "DisablePortalCancellations": false,
  "SubscribersLimit": null,
  "CancellationLimitDays": null,
  "DefaultContractTerm": null,
  "CancelMemeberAccountAfter": null,
  "CheckinPricePlanLimit": null,
  "CheckinMonthLimit": null,
  "CheckinWeekLimit": null,
  "VisitorMonthLimit": null,
  "VisitorWeekLimit": null,
  "VisitorDayLimit": null,
  "HoursPricePlanLimit": null,
  "HoursMonthLimit": null,
  "HoursWeekLimit": null,
  "BookingMinuteWeekLimit": null,
  "BookingMinuteMonthLimit": null,
  "DiscountExtraServices": null,
  "DiscountTimePasses": null,
  "DiscountCharges": null,
  "InvoiceEvery": 0,
  "InvoiceEveryWeeks": 0,
  "AutoCancelAfter": null,
  "AdvanceInvoiceCycles": null,
  "ProrateDayOfMonth": null,
  "ProrateDaysBefore": null,
  "ProrateCancellations": false,
  "ChargeAndExtend": null,
  "ExcludeFromInvoice": null,
  "AutoRaiseInvoices": false,
  "RaiseInvoiceEvery": null,
  "RaiseInvoiceEveryWeeks": null,
  "MinimumPrice": null,
  "MinimumPriceIncludeTimePasses": false,
  "MinimumPriceIncludeExtraServices": false,
  "MinimumPriceIncludeEvents": false,
  "Archived": false,
  "Starred": false,
  "KeepNewAccountsOnHold": false,
  "CanBePaused": false,
  "PauseYearlyLimit": null,
  "PauseCyclesLimit": null,
  "BookingDueDateStrategy": 0,
  "BookingDueDateDayOfMonth": null,
  "TotalSignUpPrice": 0,
  "TotalPrice": 0,
  "IsVirtualOffice": false,
  "RequestAddressIdentityCheck": false,
  "AddressIdentityCheckDescription": null,
  "AddressIdentityCheckProvider": 0,
  "KeepPausedIfAddressMismatch": false,
  "AddressIdentityCheckRepeatPattern": 0,
  "RequestIdentityCheck": false,
  "IdentityCheckProvider": 0,
  "IdentityCheckRepeatPattern": 0,
  "IdentityCheckDescription": null,
  "SendOnBoardingFormByEmail": false,
  "FormPageId": null,
  "FormPageName": null,
  "ProductsStore": [],
  "ProductsForward": [],
  "ProductsRecycle": [],
  "ProductsShred": [],
  "ProductsScan": [],
  "ProductsReturn": [],
  "ProductsDeposit": [],
  "ProductsCollect": [],
  "DeliveryPreferencesMail": null,
  "DeliveryPreferencesParcels": null,
  "DeliveryPreferencesChecks": null,
  "DeliveryPreferencesPublicity": null,
  "DeliveryPreferencesOther": null,
  "MaximumDeliveryStorageDays": null,
  "MaximumCompanyAliases": null,
  "MaximumRecipients": null,
  "MaximumAddresses": null,
  "TransferProductsToContract": false,
  "Id": 87654321,
  "UpdatedOn": "2025-01-15T10:30:00Z",
  "CreatedOn": "2025-01-10T08:00:00Z",
  "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "UpdatedBy": "admin@example.com",
  "IsNew": false,
  "SystemId": null,
  "ToStringText": "Tariff Example",
  "LocalizationDetails": null,
  "CustomFields": null
}